%define debug_package %{nil}

%define major 5
%define sfname masterpdfeditor%{major}

Summary:	PDF Editor
Name:		master-pdf-editor
Version:	%{major}.1.12
Release:	1
License:	Proprietary
Group:		Office
Url:		http://code-industry.net/free-pdf-editor.php
Source0:	http://get.code-industry.net/public/%{name}-%{version}_i386.tar.gz
Source1:	http://get.code-industry.net/public/%{name}-%{version}_qt5.amd64.tar.gz
Source2:	http://get.code-industry.net/public/%{name}-%{version}_qt4.amd64.tar.gz
Source3:	http://rosalinux.cba.pl/store/mpe/icons.tar.xz
Source4:	icons_big.tar.xz
Requires:	%{name}-data = %{EVRD}
%ifarch x86_64
Suggests:	%{name}-qt4 = %{EVRD}
%endif

%description
Master PDF Editor is the optimal solution for PDF 
files editing in Linux. It enables you to create,
edit, view, encrypt, sign and print interactive
PDF documents.

%files
%doc license.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop

#----------------------------------------------------------------------------

%package	data
Summary:	png for PDF Editor
Group:		Office

%description data
Png files for Master PDF Editor.

%files data
%{_datadir}/pixmaps/%{sfname}*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png

%ifarch x86_64
#----------------------------------------------------------------------------

%package	qt4
Summary:	PDF Editor with qt4
Group:		Office
Requires:	%{name}-data = %{EVRD}

%description qt4
Master PDF Editor is the optimal solution for PDF 
files editing in Linux. It enables you to create,
edit, view, encrypt, sign and print interactive
PDF documents.

%files qt4
%{_bindir}/%{name}-qt4
%{_libdir}/%{name}-qt4/*
%{_datadir}/applications/%{name}-qt4.desktop

%endif
#----------------------------------------------------------------------------

%prep
%ifarch x86_64
%setup -q -T -b1 -a2 -n %{name}-%{major}
%else
%setup -q -T -b0 -n %{name}-%{major}
%endif

%build

%install
mkdir -p %{buildroot}%{_datadir}/pixmaps
tar -xf %{SOURCE3} -C %{buildroot}%{_datadir}/
tar -xf %{SOURCE4} -C %{buildroot}%{_datadir}/

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -R * %{buildroot}%{_libdir}/%{name}/
rm -f %{buildroot}%{_libdir}/%{name}/%{sfname}.*
rm -f %{buildroot}%{_libdir}/%{name}/license.txt

%ifarch x86_64
mv %{buildroot}%{_libdir}/%{name}/%{name}-%{major} %{buildroot}%{_libdir}/%{name}-qt4 
rm -f %{buildroot}%{_libdir}/%{name}-qt4/%{sfname}.*
rm -f %{buildroot}%{_libdir}/%{name}-qt4/license.txt

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}-qt4.desktop << EOF
[Desktop Entry]
Type=Application
Name=Master PDF Editor (QT4)
Comment=Edit PDF and XPS files
Comment[ru]=Редактирование PDF и XPS файлов
Exec=%{_libdir}/%{name}-qt4/%{sfname} %f
Icon=%{sfname}-qt4
Path=%{_libdir}/%{name}-qt4/
NoDisplay=false
StartupNotify=true
Terminal=false
Categories=Qt;KDE;Graphics;Office;Viewer;X-MandrivaLinux-Multimedia-Graphics;
MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;
X-KDE-SubstituteUID=false
EOF

mkdir -p %{buildroot}%{_bindir}/
cat > %{buildroot}%{_bindir}/%{name}-qt4 << EOF
#!/bin/sh
%{_libdir}/%{name}-qt4/%{sfname}
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}-qt4
%endif

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Master PDF Editor
Comment=Edit PDF and XPS files
Comment[ru]=Редактирование PDF и XPS файлов
Exec=%{_libdir}/%{name}/%{sfname} %f
Icon=%{sfname}
Path=%{_libdir}/%{name}/
NoDisplay=false
StartupNotify=true
Terminal=false
Categories=Qt;KDE;Graphics;Office;Viewer;X-MandrivaLinux-Multimedia-Graphics;
MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;
X-KDE-SubstituteUID=false
EOF

mkdir -p %{buildroot}%{_bindir}/
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
%{_libdir}/%{name}/%{sfname}
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

%changelog

* Fri Aug 10 2018 survolog <survolog@yandex.ru> 5.1.12-1
- (f5b6b61) Merge pull request #16 from survolog/master-pdf-editor:rosa2016.1
- (f5b6b61) Updated to 5.1.12


